/* LIGHT MODE */

[data-md-color-scheme="default"] {
  --md-primary-fg-color: #084 !important;
  --md-typeset-a-color: #0066cc !important;
}

[data-md-color-scheme="default"] .md-typeset a:hover {
    color: #cc0000 !important
}

[data-md-color-scheme="default"] .md-top:focus {
    background: #088;
}

[data-md-color-scheme="default"] .md-top:hover {
    background: #088;
}

[data-md-color-scheme="default"] .md-typeset .admonition, .md-typeset details {
  font-size: .7rem;
}

/* MEDIUM MODE */

[data-md-color-scheme="medium"] {
  --md-primary-fg-color: #075 !important;
  --md-default-bg-color: #e0e0e0 !important;
  --md-typeset-a-color: #07c !important;
}

[data-md-color-scheme="medium"] .md-typeset .admonition, .md-typeset details {
  background-color: #e8e8e8;
  font-size: .7rem;
}

[data-md-color-scheme="medium"] .md-top:focus {
    background: #080;
}

[data-md-color-scheme="medium"] .md-top:hover {
    background: #080;
}

/* DARK MODE */

[data-md-color-scheme="slate"] {
  --md-primary-fg-color: #446 !important;
  --md-typeset-a-color: #07c !important;
}

[data-md-color-scheme="slate"] .md-typeset a:hover {
    color: #cc0000 !important
}

[data-md-color-scheme="slate"] .md-typeset a:hover {
    color: #dd8800 !important
}

[data-md-color-scheme="slate"] .md-top:focus {
    background: #446;
}

[data-md-color-scheme="slate"] .md-top:hover {
    background: #446;
}

[data-md-color-scheme="slate"] .md-typeset .admonition, .md-typeset details {
  font-size: .7rem;
}

/* Default code padding is completely broken. */
.md-typeset code {
  padding-top: 0em;
  padding-right: .33em;
  padding-bottom: .2em;
  padding-left: .25em;
}

/* Keeping these for reference: */
/*
:root {
  --md-primary-fg-color:        #EE0F0F;
  --md-primary-fg-color--light: #ECB7B7;
  --md-primary-fg-color--dark:  #90030C;
}

body {
  --md-default-bg-color: #e8e8e8 !important;
}

main.md-main {
  background: #eee !important;
}

label.md-nav__title {
  background: #e0e0e0 !important;
  box-shadow: none !important;
}

.md-typeset a:hover {
  color: red !important;
}

.md-typeset a {
  color: #099 !important;
}

.md-typeset .footnote {
  color: #444;
  font-size: .64rem;
}
*/

/* Fix table styling. */
/* Material table default styles are awful! */

th, td {
    border: 1px solid var(--md-typeset-table-color);
    border-spacing: 0;
    border-bottom: none;
    border-left: none;
    border-top: none;
}

.md-typeset__table {
    line-height: 1;
}

.md-typeset__table table:not([class]) {
    font-size: .74rem;
    border-right: none;
}

.md-typeset__table table:not([class]) td,
.md-typeset__table table:not([class]) th {
    padding: 9px;
}

/* light mode alternating table bg colors */
[data-md-color-scheme="default"]
.md-typeset__table tr:nth-child(2n) {
    background-color: #f8f8f8;
}

/* medium mode alternating table bg colors */
[data-md-color-scheme="medium"]
.md-typeset__table tr:nth-child(2n) {
    background-color: #e0e0e0;
}


/* dark mode alternating table bg colors */
[data-md-color-scheme="slate"] .md-typeset__table tr:nth-child(2n) {
    background-color: hsla(var(--md-hue),25%,25%,1)
}

